#include <errno.h>
#include <zephyr.h>
#include <sys/printk.h>
#include <device.h>
#include <drivers/i2c.h>

#include "gyro.h"

#define I2C_DEV DT_LABEL(DT_ALIAS(i2c_0))

void gyro_init(const struct device *i2c_dev)
{
	i2c_reg_write_byte(i2c_dev, FXAS21002_I2C_ADDRESS, FXAS21002_CTRL_REG1, 0x1c); //0x14);
	i2c_reg_write_byte(i2c_dev, FXAS21002_I2C_ADDRESS, 0x14, 0x06);
	i2c_reg_write_byte(i2c_dev, FXAS21002_I2C_ADDRESS, FXAS21002_CTRL_REG0, 0x00);
	i2c_reg_write_byte(i2c_dev, FXAS21002_I2C_ADDRESS, FXAS21002_CTRL_REG1, 0x1e); //0x16);
}


void gyro_read(const struct device *i2c_dev, int16_t * g_data)
{
	uint8_t data[7];
	i2c_burst_read(i2c_dev, FXAS21002_I2C_ADDRESS, FXAS21002_STATUS, data, 7);

	g_data[0] =  ((int16_t)((data[1]*256) + (data[2]))) * 0.0625;
	g_data[1] =  ((int16_t)((data[3]*256) + (data[4]))) * 0.0625;
	g_data[2] =  ((int16_t)((data[5]*256) + (data[6]))) * 0.0625;
}
